org.apache.bcel.classfile

## Class ModuleProvides

- java.lang.Object
- - org.apache.bcel.classfile.ModuleProvides

- All Implemented Interfaces:
    Cloneable, Node

      public final class ModuleProvides
      extends Object
      implements Cloneable, Node

  This class represents an entry in the provides table of the Module attribute. Each entry describes a service implementation that the parent module provides.
  Since:
    6.4.0
  See Also:
    `Module`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
    `ModuleProvides` | `copy()`
    `void` | `dump(DataOutputStream file)` Dump table entry to file stream in binary format.
    `String` | `toString()`
    `String` | `toString(ConstantPool constant_pool)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Parameters:
        `v` - Visitor object

    - #### dump

          public void dump(DataOutputStream file)
                    throws IOException

      Dump table entry to file stream in binary format.
      Parameters:
        `file` - Output file stream
      Throws:
        `IOException` - if an I/O Exception occurs in writeShort

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      Returns:
        String representation

    - #### toString

          public String toString(ConstantPool constant_pool)

      Returns:
        Resolved string representation

    - #### copy

          public ModuleProvides copy()

      Returns:
        deep copy of this object

Copyright © 2004–2019 The Apache Software Foundation. All rights reserved.